using Hncore.Infrastructure.EF;
using Hncore.Pass.Manage.Domain;
using Hncore.Pass.Manage.Request;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Hncore.Pass.Manage.Repository.Map
{

    public class etor_property_estateMap : EntityMapBase<etor_property_estate>
    {
        public override void Map(EntityTypeBuilder<etor_property_estate> builder)
        {
            builder.ToTable("etor_property_estate");

            builder.HasKey(t => t.Id);

            builder.Property(t => t.Id).ValueGeneratedOnAdd();
        }
    }
}




